Order Tray | Contact Us | Home | SIG Lists

[aprssig] Latest Xastir Release: 1.4.0, 09/16/2004

nc8q nc8q-1 at gelm.net
Thu Sep 23 18:41:04 UTC 2004


Hi, Wes: Thanks.
----- Original Message ----- 
From: "Wes Johnston" <wes at johnston.net>
To: "TAPR APRS Mailing List" <aprssig at lists.tapr.org>
Sent: Thursday, September 23, 2004 12:51 PM
Subject: Re: [aprssig] Latest Xastir Release: 1.4.0, 09/16/2004


There is an install file for versions of linux, and a readme.win32 file for cygwin.
 Where?
  Xastir is time consuming to install, but hey, it's worth it to me!  All the needed libs are listed in those docs along with
clickable links (some directly to curt's site).
 I did not see any 'clickable links' and the only helpful 'docs'  were README and INSTALL.
 Are there others?
  I generally spent a fair amount of time WGETing , unTARing and MAKEing the needed libraries.  I will admit that it was very
frustrating the first time thru... I keep hoping for a "live cd" version of mephis (or knoppix) and xastir!

For versions of linux and mac-osx http://cvs.sourceforge.net/cgi-bin/viewcvs.cgi/*checkout*/xastir/xastir/INSTALL?&view=auto

 I'll browse the above link, Thanks.

For cygwin (windows) http://cvs.sourceforge.net/cgi-bin/viewcvs.cgi/*checkout*/xastir/xastir/README.win32?&view=auto

Wes


----- Original Message -----
From: "nc8q" <nc8q-1 at gelm.net>
Date: Thu, 23 Sep 2004 12:50:35 -0400
To: "TAPR APRS Mailing List" <aprssig at lists.tapr.org>,<aprsnews at lists.tapr.org>
Subject: Re: [aprssig] Latest Xastir Release: 1.4.0, 09/16/2004

> Sorry for top posting, but this is a general comment.
> I very much wish that software developers and maintainers
> would place a link to 'minimum system requirements' along
> with all the other links on the main web page.  It is so
> frustrating to find interesting software, download it,
> configure it, find missing package errors, get them,
> re-configure,..., then find out that it requires some
> hardware greater than what one has.
>
>  So, I'm off to find the requirements of 'xastir'.
>
> After downloading xastir-1.4.0, reading the README,
> then reading the INSTALL, I find that 'xastir' requires
> (1)Motif or OpenMotif or Lesstiff.
> On my system, I found two files;
> /usr/X11R6/lib/X11/config/Motif.tmpl
> /usr/X11R6/lib/X11/config/Motif.rules
> does this indicate that my system complies with (1) above?
> (2) 'xastir' also requires 'pthreads'
> "#locate pthreads" returns nothing.
> Google/linux doesn't seem to return anything informative about
> 'pthreads' and my distribution, Slackware (v9.1).
>
> I do seem to have the 'msgfmt' and 'xgettext' requirements
> mentioned in 'INSTALL'.
>
> Are there other requirements mentioned elsewhere in the
> documentation (or unmentioned) ?
>
> Is there a 'xastir-newbie' or 'xastir-install' mail list?
>
> So, I've not yet made it through the software requirements.
> I fear that the hardware requirements will be equally evasive,
> covert, and obtuse.
> Any hints or tips are welcome.
>
> Regards, Chuck
> ----- Original Message ----- 
> From: "Curt Mills" <archer at eskimo.com>
> To: <aprsnews at lists.tapr.org>; <aprssig at lists.tapr.org>
> Sent: Thursday, September 16, 2004 11:45 PM
> Subject: [aprssig] Latest Xastir Release: 1.4.0, 09/16/2004
>
> >
> > Latest stable release happened today.  Download it at:
> >
> >     http://www.xastir.org

3s, Chuck






More information about the aprssig mailing list